## yorick-z 1.2.0+cvs20080115

=== Makefile ===
# Makefile for yorick-z package
# $Id: Makefile,v 1.1.1.1 2005/09/18 22:07:11 dhmunro Exp $

# run configure script to create Makeyorz and fill in following macros

Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yorz
# change to give TGT=exe executable a name other than yorick
PKG_EXENAME=yorick

# Makeyorz defines PKG_I, OBJS, PKG_DEPLIBS, PKG_I_START, and *_INC macros
include ./Makeyorz

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=test*.mpg test*.jpg test*.png cfg* yorz.doc

# set compiler or loader flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# executable install directory
Y_BINDIR=$(Y_HOME)/bin

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake
ALL_TARGETS=yorz.doc

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = /usr/lib/yorick/1.5/protect-against-1.5

# ------------------------------------- targets and rules for this package

ypng.o: spng.h

spng.o: spng.c spng.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(PNG_INC) -c spng.c

yzlib.o: yzlib.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(ZLIB_INC) -c yzlib.c

yjpeg.o: yjpeg.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(JPEG_INC) -c yjpeg.c

ympeg.o: ympeg.c $(YAVCODEC_H)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(AVCODEC_INC) -c ympeg.c

yorz.doc: $(PKG_I)
	$(Y_EXE) -batch ./maked.i $(PKG_I)

install:: yorz.doc
	$(YNSTALL) yorz.doc "$(Y_SITE)/doc"

uninstall::
	rm -f "$(Y_SITE)/doc/yorz.doc"

distclean::
	rm -f Makeyorz yorz.i

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-z (1.2.0+cvs20080115-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Use secure URI in Homepage field.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Remove patch 01_Makefile.dpatch that is missing from debian/patches/series.
  * watch file standard 4 (routine-update)
  * d/rules:
     - ignore failures in dh_auto_clean
     - do not set DEB_HOST_ARCH

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 18:36:24 +0100

yorick-z (1.2.0+cvs20080115-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965917)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Jan 2022 12:59:55 +0200

yorick-z (1.2.0+cvs20080115-5) unstable; urgency=low

  * Comply with Debian Science Policy
  * Update copyright to adopted machine-readable format
  * Minimize debian/rules
  * Use a patch to configure
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 13:30:43 +0200

yorick-z (1.2.0+cvs20080115-4) unstable; urgency=low

  * deactivate checks on ia64 untill we found out why it failed.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 Jun 2012 21:51:49 +0200

yorick-z (1.2.0+cvs20080115-3) unstable; urgency=low

  * Bug fix: "Please Build-Depends on libpng-dev, change from
    libpng12-dev", thanks to Nobuhiro Iwamatsu (Closes: #662574).
  * Checked against standards 3.9.3
  * Run test suite as part of build process

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Mar 2012 11:25:17 +0100

yorick-z (1.2.0+cvs20080115-2) unstable; urgency=low

  * Change section to "science" (package already moved there)
  * Bug fix: "Please Build-Depends on libjpeg-dev, not libjpeg62-dev",
    thanks to Bill Allombert (Closes: #647112).
  * Bumped policy to 3.9.2
  * Remove dpatch, move to format "3.0 (quilt)"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Dec 2011 21:18:12 +0100

yorick-z (1.2.0+cvs20080115-1) unstable; urgency=low

  * New upstream release (from cvs)
  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-z.{packinfo,keywords}
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 16:30:55 +0100

yorick-z (1.2-1) unstable; urgency=low

  * Initial Release. Closes: #366710

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 22 Sep 2007 15:32:20 +0200

=== debian/control ===
Source: yorick-z
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libjpeg-dev,
               libpng-dev,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-z
Vcs-Git: https://salsa.debian.org/science-team/yorick-z.git
Homepage: https://yorick.sourceforge.net

Package: yorick-z
Architecture: any
Depends: yorick,
         ${shlibs:Depends},
         ${misc:Depends}
Description: zlib, jpeg and png support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer language
 specialized for numerical and scientific problems).  Yorick-z adds
 support for zlib (the data compression system used by gzip), png (a
 lossless image compression format), and jpeg (a lossy image compression
 format).

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_configure:
# configuration is done in a patch resulting from:
#	./configure --no-avcodec
# also make sure yorz.doc is not built (or installed)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH), ia64))
	$(MAKE) check
else
	echo 'check suite deactivated on this architecture'
endif
else
	echo 'DEB_BUILD_OPTIONS contains "nocheck": skipping check step.'
endif

override_dh_auto_clean:
	touch Makeyorz
	-$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
ifeq (,$(shell head -1 Makeyorz))
	rm -f Makeyorz *.o
endif

=== debian/watch ===
version=4
http://sf.net/yorick/yorick-z-([^-]*)\.tgz
